Subject: RE: Cygwin Python -- Thread or not to thread...
From: "Robinow, David" <[email-masked]>
To: Cygwin <[email-masked]>
Cc: Python-List <[email-masked]>
Date: Tue, 25 Sep 2001 11:29:13 -0400

setup supports experimental versions.  This seems like a good candidate.
That is, release your new version without threading.
Then follow it, as experimental, with the same thing, thread-enabled.

> -----Original Message-----
> From: Jason Tishler [mailto:[email-masked]]
> ... 
> So I am asking the Cygwin Python community the following:
> 
>     Should I still release my next Cygwin Python distribution with
>     threading enabled?  Or, should I continue to disabled threading
>     until the above known Cygwin pthreads issue is resolved?
> 
> There are advantages and disadvantages to either choice.  By 
> releasing a
> threaded Cygwin Python, more people will be able to exercise Cygwin's
> pthreads support which will help test the implementation.  This is
> especially important on 9x/Me since I don't access to these platforms
> and hence, have never personally tested Cygwin Python on them.  The
> downside is siccing a (buggy) threaded Cygwin Python on the general
> public may result in significant heartache.
> 
> The more conservative approach is to continue to release Cygwin Python
> with threading disabled until the known Cygwin pthreads issue 
> is resolved.
> Unfortunately, it maybe sometime before the race condition is 
> prevented
> (i.e., the fix is non-trivial):
> 
>     http://www.cygwin.com/ml/cygwin-developers/2001-09/msg00438.html
> 
> So Cygwin Python users that need threading may have to continue to be
> patience for an undetermined amount of time.
> 
> Please post your opinions instead of sending private email, so others
> can see how a consensus (if any) was determined.
> 
> Thanks,
> Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/